#ifndef AT42QT1060_H_INCLUDED
#define AT42QT1060_H_INCLUDED

struct AT42QT1060
{		
	unsigned char ChipID;
	unsigned char Version;
	unsigned char MinorVersion;
	unsigned char Reserved1;
	unsigned char DetectionStatus;
	unsigned char InputPortStatus;
	unsigned char Reserved2;
	unsigned char Reserved3;
	unsigned char Reserved4;
	unsigned char Reserved5;
	unsigned char Reserved6;
	unsigned char Reserved7;
	unsigned char Calibrate;
	unsigned char Reset;
	unsigned char DriftOption;
	unsigned char PositiveRecalibrationDelay;
	unsigned char NTHRKey0;
	unsigned char NTHRKey1;
	unsigned char NTHRKey2;
	unsigned char NTHRKey3;
	unsigned char NTHRKey4;
	unsigned char NTHRKey5;
	unsigned char LPMode;
	unsigned char IOMask;
	unsigned char KeyMask;
	unsigned char AksMask;
	unsigned char PWMMask;
	unsigned char DetectionMask;
	unsigned char ActiveLevelMask;
	unsigned char UserOutputBuffer;
	unsigned char DI;
	unsigned char PWMLevel;
	unsigned char Reserved8;
	unsigned char Reserved9;
	unsigned char Reserved10;
	unsigned char Reserved11;
	unsigned char Reserved12;
	unsigned char Reserved13;
	unsigned char Reserved14;
	unsigned char Reserved15;
	unsigned char Key0SignalLSB;
	unsigned char Key0SignalMSB;
	unsigned char Key1SignalLSB;
	unsigned char Key1SignalMSB;
	unsigned char Key2SignalLSB;
	unsigned char Key2SignalMSB;
	unsigned char Key3SignalLSB;
	unsigned char Key3SignalMSB;
	unsigned char Key4SignalLSB;
	unsigned char Key4SignalMSB;
	unsigned char Key5SignalLSB;
	unsigned char Key5SignalMSB;
	unsigned char Key0ReferenceLSB;
	unsigned char Key0ReferenceMSB;
	unsigned char Key1ReferenceLSB;
	unsigned char Key1ReferenceMSB;
	unsigned char Key2ReferenceLSB;
	unsigned char Key2ReferenceMSB;
	unsigned char Key3ReferenceLSB;
	unsigned char Key3ReferenceMSB;
	unsigned char Key4ReferenceLSB;
	unsigned char Key4ReferenceMSB;
	unsigned char Key5ReferenceLSB;
	unsigned char Key5ReferenceMSB;
};

//Bits in Detection Status Register, Key Mask Register
//and AKS Mask Register
#define CAL		7
#define KEY5	5
#define KEY4	4
#define KEY3	3
#define KEY2	2
#define KEY1	1
#define KEY0	0

//Bits in Input Port Status Register
#define INPUT6	6
#define INPUT5	5
#define INPUT4	4
#define INPUT3	3
#define INPUT2	2
#define INPUT1	1
#define INPUT0	0

//Bits in Drift Option Register
#define IDRIFT	0

//Bits in IO Mask Register, PWM Mask Register, Detection Mask Register, Active Level Mask Register
//and User Output Mask Register
#define IO6		6
#define IO5		5
#define IO4		4
#define IO3		3
#define IO2		2
#define IO1		1
#define IO0		0

void setAT42QT1060(unsigned char  DEVICE_ADDRESS, const struct AT42QT1060 *wsk_AT42QT1060);
void readAT42QT1060(unsigned char  DEVICE_ADDRESS, struct AT42QT1060 *wsk_AT42QT1060);

#endif //AT42QT1060_H_INCLUDED
