/**
*****************************************************************************
**
**  File        : main.c
**
**  Abstract    : main function.
**
**  Functions   : main
**
**  Environment : Atollic TrueSTUDIO/STM32
**                STMicroelectronics STM32F10x Standard Peripherals Library
**
**  Distribution: The file is distributed as is, without any warranty
**                of any kind.
**
**  (c)Copyright Atollic AB.
**  You may use this file as-is or modify it according to the needs of your
**  project. Distribution of this file (unmodified or modified) is not
**  permitted. Atollic AB permit registered Atollic TrueSTUDIO(R) users the
**  rights to distribute the assembled, compiled & linked contents of this
**  file as part of an application binary file, provided that it is built
**  using the Atollic TrueSTUDIO(R) toolchain.
**
**
*****************************************************************************
*/

/* Includes */
#include "stm32f10x.h"
#include "i2c.h"
#include "AT42QT1060.h"
#include "system_init.h"

/* Private typedef */
/* Private define  */


/* Private macro */
/* Private variables */
struct AT42QT1060 AT42QT1060_biezacy;
/* Private function prototypes */
void Delay(__IO uint32_t nCount);
/* Private functions */

/**
**===========================================================================
**
**  Abstract: main program
**
**===========================================================================
*/
int main(void)
{
  unsigned int i=0;
  unsigned char bufor_temp[10];

  /* TODO - Add your application code here */
  MySystemInit();
  I2C_Configuration();

  //reset AT42QT1060
  bufor_temp[0]=0x01;
  I2C_WRITE_BUFFER_TO_DEVICE(0x24, 0x000D, bufor_temp, 1);

  i = 500;			//opz 500ms
  while(i--)
	  Delay(800); 	//ok. 1ms

  //inicjacja AT42QT1060
  readAT42QT1060(0x24, &AT42QT1060_biezacy);

  AT42QT1060_biezacy.KeyMask = 0xBF;
  AT42QT1060_biezacy.AksMask = 0x00;
  AT42QT1060_biezacy.DI = 0x03;
  AT42QT1060_biezacy.NTHRKey0 = 0x50;
  AT42QT1060_biezacy.NTHRKey1 = 0x50;
  AT42QT1060_biezacy.NTHRKey2 = 0x50;
  AT42QT1060_biezacy.NTHRKey3 = 0x50;
  AT42QT1060_biezacy.NTHRKey4 = 0x50;
  AT42QT1060_biezacy.NTHRKey5 = 0x50;

  AT42QT1060_biezacy.IOMask = 0x7F;
  AT42QT1060_biezacy.PWMMask = 0x00;
  AT42QT1060_biezacy.DetectionMask = 0x3F;

  setAT42QT1060(0x24, &AT42QT1060_biezacy);

  i = 500;			//opz 500ms
    while(i--)
  	  Delay(800); 	//ok. 1ms

  GPIO_WriteBit(GPIO_LED, LED8, 1);
  /* Infinite loop */
  while (1)
  {

    readAT42QT1060(0x24, &AT42QT1060_biezacy);

	GPIO_WriteBit(GPIO_LED, LED1, (AT42QT1060_biezacy.DetectionStatus & 0x01));
	GPIO_WriteBit(GPIO_LED, LED2, (AT42QT1060_biezacy.DetectionStatus & 0x02));
	GPIO_WriteBit(GPIO_LED, LED3, (AT42QT1060_biezacy.DetectionStatus & 0x04));
	GPIO_WriteBit(GPIO_LED, LED4, (AT42QT1060_biezacy.DetectionStatus & 0x08));
	GPIO_WriteBit(GPIO_LED, LED5, (AT42QT1060_biezacy.DetectionStatus & 0x10));
	GPIO_WriteBit(GPIO_LED, LED6, (AT42QT1060_biezacy.DetectionStatus & 0x20));
  }
}

/*
 * Minimal __assert_func used by the assert() macro
 * */
void __assert_func(const char *file, int line, const char *func, const char *failedexpr)
{
  while(1)
  {}
}

/*
 * Minimal __assert() uses __assert__func()
 * */
void __assert(const char *file, int line, const char *failedexpr)
{
   __assert_func (file, line, NULL, failedexpr);
}
//******************************************************************************
// Simple delay function
//******************************************************************************
void Delay(__IO uint32_t nCount)
{
  for(; nCount != 0; nCount--);
}
